
package com.reactlibrary;


import android.widget.Toast; 
import android.os.Build.VERSION; 
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import android.app.AlertDialog;  


public class RNAlizaModule extends ReactContextBaseJavaModule {

  private  final ReactApplicationContext reactContext;
   
   
  private static Toast obj; 
  
  public RNAlizaModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
     
  }


  @Override
  public String getName() {
    return "RNAliza";
  }

  
 @ReactMethod
  public static Toast getObj(){  
   if (obj == null){  
      synchronized(Toast.class){  
        if (obj == null){  
            obj = new Toast(getReactApplicationContext());  
        }  
    }              
   }  
  return obj;  
 } 

  
    

    
@ReactMethod
    public void getDuration(Callback successful){
    Toast namer = getObj(); 
     
    successful.invoke(namer.getDuration());  

 }

 @ReactMethod
 public void setDuration(int val){
  
    Toast namer = getObj(); 
    namer.setDuration(val); 
    

}

  

}












